// Font Face
@mixin font-face($font-family, $font-path) {
    @font-face {
        font-family: $font-family;
        src: url($font-path);
    }  
}

// Breakpoints
@mixin breakpoint($type, $media) {
    @if map-has-key($breakpoints, $media) {
        $currentMediaValue : map-get($breakpoints, $media);
        @media(#{$type}: #{$currentMediaValue}) {
            @content;
        }
    }
    @else {
        @error #{$media} + " is not defined";
    }
}

// Position
@mixin position($type, $top:auto, $right:auto, $bottom:auto, $left:auto) {
    position: $type;
    top: $top;
    right: $right;
    bottom: $bottom;
    left: $left;
}

// Theme
@mixin theme($themes) {
    @each $theme, $map in $themes {
        .theme-#{$theme} {
            $theme-map: () !global;
            @each $currentKey, $currentValue in $map {
                $theme-map: map-merge($theme-map, ($currentKey: $currentValue)) !global;
            }
            @content;
        }
    }
}

